import co.novu.Novu
import co.novu.extensions.notification
fun main() {
val novu = Novu(apiKey = "<NOVU_API_KEY>")
val notification = novu.notification("<NOTIFICATION_ID>")
println(notification)
}
curl --request GET \
--url https://api.novu.co/v1/notifications/{notificationId} \
--header 'Authorization: ApiKey <NOVU_API_KEY>'
from novu.api import NotificationApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
notificationApi = NotificationApi(url, api_key)
notification = notificationApi.get("<notificationId>")
print(notification)
use Novu\SDK\Novu;
$novu = new Novu('<NOVU_API_KEY>');
$notification = $novu->getNotification($notificationId)-toArray();
{
"_environmentId": "<string>",
"_organizationId": "<string>",
"transactionId": "<string>",
"_id": "<string>",
"createdAt": "<string>",
"subscriber": {
"_id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>"
},
"template": {
"name": "<string>",
"triggers": [
{
"type": "event",
"identifier": "<string>",
"variables": [
{
"name": "<string>"
}
],
"subscriberVariables": [
{
"name": "<string>"
}
]
}
],
"_id": "<string>"
},
"jobs": [
{
"_id": "<string>",
"type": "<string>",
"executionDetails": [
{
"_id": "<string>",
"_jobId": "<string>",
"detail": "<string>",
"isRetry": true,
"isTest": true,
"providerId": {},
"raw": "<string>"
}
],
"step": {
"_id": "<string>",
"active": true,
"filters": {
"isNegated": true,
"children": [
{
"field": "<string>",
"value": "<string>"
}
]
},
"template": {}
},
"providerId": {},
"status": "<string>",
"digest": {},
"payload": {}
}
]
}"Request with key 3909d656-d4fe-4e80-ba86-90d3861afcd7 is currently being processed. Please retry after 1 second""API rate limit exceeded""Please wait some time, then try again."Notification
Retrieve an event
Retrieve an event by its unique key identifier notificationId. Here notificationId is of mongodbId type. This API returns the event details - execution logs, status, actual notification (message) generated by each workflow step.
GET
/
v1
/
notifications
/
{notificationId}
import co.novu.Novu
import co.novu.extensions.notification
fun main() {
val novu = Novu(apiKey = "<NOVU_API_KEY>")
val notification = novu.notification("<NOTIFICATION_ID>")
println(notification)
}
curl --request GET \
--url https://api.novu.co/v1/notifications/{notificationId} \
--header 'Authorization: ApiKey <NOVU_API_KEY>'
from novu.api import NotificationApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
notificationApi = NotificationApi(url, api_key)
notification = notificationApi.get("<notificationId>")
print(notification)
use Novu\SDK\Novu;
$novu = new Novu('<NOVU_API_KEY>');
$notification = $novu->getNotification($notificationId)-toArray();
{
"_environmentId": "<string>",
"_organizationId": "<string>",
"transactionId": "<string>",
"_id": "<string>",
"createdAt": "<string>",
"subscriber": {
"_id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>"
},
"template": {
"name": "<string>",
"triggers": [
{
"type": "event",
"identifier": "<string>",
"variables": [
{
"name": "<string>"
}
],
"subscriberVariables": [
{
"name": "<string>"
}
]
}
],
"_id": "<string>"
},
"jobs": [
{
"_id": "<string>",
"type": "<string>",
"executionDetails": [
{
"_id": "<string>",
"_jobId": "<string>",
"detail": "<string>",
"isRetry": true,
"isTest": true,
"providerId": {},
"raw": "<string>"
}
],
"step": {
"_id": "<string>",
"active": true,
"filters": {
"isNegated": true,
"children": [
{
"field": "<string>",
"value": "<string>"
}
]
},
"template": {}
},
"providerId": {},
"status": "<string>",
"digest": {},
"payload": {}
}
]
}"Request with key 3909d656-d4fe-4e80-ba86-90d3861afcd7 is currently being processed. Please retry after 1 second""API rate limit exceeded""Please wait some time, then try again."Enter your API key in the
Authorization field like the example shown below:E.g ApiKey 18d2e625f05d80eimport co.novu.Novu
import co.novu.extensions.notification
fun main() {
val novu = Novu(apiKey = "<NOVU_API_KEY>")
val notification = novu.notification("<NOTIFICATION_ID>")
println(notification)
}
curl --request GET \
--url https://api.novu.co/v1/notifications/{notificationId} \
--header 'Authorization: ApiKey <NOVU_API_KEY>'
from novu.api import NotificationApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
notificationApi = NotificationApi(url, api_key)
notification = notificationApi.get("<notificationId>")
print(notification)
use Novu\SDK\Novu;
$novu = new Novu('<NOVU_API_KEY>');
$notification = $novu->getNotification($notificationId)-toArray();
Authorizations
API key authentication. Allowed headers-- "Authorization: ApiKey <api_key>".
Path Parameters
Response
Ok
Available options:
in_app, email, sms, chat, push, digest, trigger, delay, custom Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I